
/*
 * delve.h - Header file containing declarations shared within the
 * DELVE source code.
 *
 * Copyright (c) 1996 by The University of Toronto.
 * 
 * See the file "copyright" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.  
 *
 * Author: Drew van Camp (drew@cs.toronto.edu)
 * 
 * $Id: delve.h,v 1.7 1996/04/12 16:46:38 drew Exp $
 */

#ifndef DELVE_H
#define DELVE_H

#include <stdio.h>
#include <tcl.h>
#include <tclExtend.h>

#ifdef STDC_HEADERS
#include <stdlib.h>
#endif

#define DELVE_VERSION "1.0"
#define DELVE_MAJOR_VERSION 1
#define DELVE_MINOR_VERSION 0

typedef CONST struct matrix_t {
    double **	x ;
    int		rows ;
    int		cols ;
    char	handle [16];
} matrix_t ;

EXTERN int	Delve_GetMatrix _ANSI_ARGS_((Tcl_Interp *interp,
			CONST char *handle, matrix_t **matrixPtrPtr));
EXTERN int	Delve_InitAnova _ANSI_ARGS_((Tcl_Interp *interp)) ;
EXTERN int	Delve_InitAttr _ANSI_ARGS_((Tcl_Interp *interp)) ;
EXTERN int	Delve_InitMatrix _ANSI_ARGS_((Tcl_Interp *interp)) ;
EXTERN int	MatrixStatsCmd _ANSI_ARGS_((ClientData dummy, 
			Tcl_Interp * interp, int argc, char **argv));

#endif /* DELVE_H */
